function querymore(){
	
	$("#pretaskinfo").html("");
	
	var applicantType = "";
	if($("#applicantType").text()=="个人"){
		applicantType = "1";
	}else if($("#applicantType").text()=="医疗机构"){
		applicantType = "2";
	}else if($("#applicantType").text()=="委托机构"){
		applicantType = "3";
	}
	
	var businessSource = $("#businessSource").text();
	/*if($("#businessSource").text()=="产险"){
		businessSource = "产险";
	}else if($("#businessSource").text()=="寿险"){
		businessSource = "寿险";
	}else if($("#businessSource").text()=="健康险"){
		businessSource = "健康险";
	}*/
	
	var applicantPid = $("#applicantPid").val();
	var applicantName = $("#applicantName").val();
	var preNo = $("#preNo").val();
	var policyno = $("#policyno").val();
	var currentDateBegin = $("#currentDateBegin").val();
	var currentDateEnd = $("#currentDateEnd").val();
	
	
	if((currentDateBegin!="" && currentDateEnd=="") || (currentDateBegin=="" && currentDateEnd!="")){
		alert("受理开始时间或结束时间不能为空");
		return;
	}
	var params = {};
	params.applicantType = applicantType;
	params.businessSource = businessSource;
	params.applicantPid = applicantPid;
	params.applicantName = applicantName;
	params.preNo = preNo;
	params.policyno = policyno;
	params.currentDateBegin = currentDateBegin;
	params.currentDateEnd = currentDateEnd;
	
	$("#type").val(applicantType);
	$("#source").val(businessSource);
	$("#pid").val(applicantPid);
	$("#preno").val(preNo);
	$("#policyNo").val(policyno);
	$("#begin").val(currentDateBegin);
	$("#end").val(currentDateEnd);
	$("#name").val(applicantName);
	
	
	SkipByPost("preauthorizationquery.do",params);
	
}

function exportExe(){
	var applicantType = $("#type").val();
	var businessSource = $("#source").val();
	var applicantPid = $("#pid").val();
	var applicantName = $("#name").val();
	var preNo = $("#preno").val();
	var policyno = $("#policyNo").val();
	var currentDateBegin = $("#begin").val();
	var currentDateEnd = $("#end").val();
	$("#pretaskinfo").val("");
	
	var nos=document.getElementsByName("objId");
	if(nos.length<1){
		alert("无导出数据");
		return;
	}
	SkipByPost("execlExport.do",{applicantType:applicantType,businessSource:businessSource,applicantPid:applicantPid,applicantName:applicantName,preNo:preNo,policyno:policyno,currentDateBegin:currentDateBegin,currentDateEnd:currentDateEnd});
}

function query(preno){
	debugger;
	var applicantType = $("#type").val();
	var businessSource = $("#source").val();
	var applicantPid = $("#pid").val();
	var applicantName = $("#name").val();
	var policyno = $("#policyNo").val();
	var currentDateBegin = $("#begin").val();
	var currentDateEnd = $("#end").val();
	
	var params = {};
	params.applicantType = applicantType;
	params.businessSource = businessSource;
	params.applicantPid = applicantPid;
	params.applicantName = applicantName;
	params.preNo = preno;
	params.policyno = policyno;
	params.currentDateBegin = currentDateBegin;
	params.currentDateEnd = currentDateEnd;
	SkipByPost("preauthorizationInfo.do",params);
}
